#include <iostream>
#include <bits/stdc++.h>
using namespace std;
/* run this program using the console pauser or add your own getch, system("pause") or input loop */

int main(int argc, char** argv) {
	string brx,bry,broj;
	int brojac,i;
	cin>>brx>>bry;
	if(brx>=bry){
		brojac=brx.length();
	}
	else{
		brojac=bry.length();
	}
	for(i=0;i<brojac;i++){
		if(brx[i]>bry[i]){
			broj[i]=brx[i];
		}
		else{
			broj[i]=bry[i];
		}
			cout<<broj[i];
	}

	return 0;
}